Doomsday Engine - Bug #645

Fatal error "R_InitSprites: No patches found" (unknown IWAD)
2009-03-21 14:20 - yamakuzure

Status: Rejected Start date: 2009-03-21
Priority: Lowest % Done: 0%
Assignee:

Category: Defect

Target version:

Description

When starting the current doomsday release with the original Doomll wad (copied from original CD), it can not be started. It is the
only Doom Version | own, so | can not test anything else.

| tried adding jDRP with no difference.
AMD AthlonXP 2700+, 2048MB Ram, nVidia GeForce 7600GS 8xAGP, Windows XP Professional.

The output is:

Z_Create: New 32.0 MB memory volume.

Con_lInit: Initializing the console.

Executable: Version 1.9.0-beta6 Feb 25 2009 (DGL).
Sys_InitWindowManager: Using Win32 window management.
Z_Create: New 32.0 MB memory volume.
createContext: OpenGL.

OpenGL information:

Vendor: NVIDIA Corporation

Renderer: GeForce 7600 GS/AGP/SSE/3DNOW!
Version: 2.1.2

GLU Version: 1.2.2.0 Microsoft Corporation
Available Texture units: 4

Maximum Texture Size: 4096

Maximum Anisotropy: 16

Num Texture Formats: 3

Line Width Granularity: 0.1

Line Width Range: 0.5...10.0

Extensions:
GL_ARB_color_buffer_float ~GL_ARB_depth_texture
GL_ARB_draw_buffers GL_ARB_fragment_program

GL_ARB_fragment_program_shadow GL_ARB_fragment_shader
GL_ARB_half_float_pixel GL_ARB_half_float_vertex
GL_ARB_framebuffer_object =~ GL_ARB_imaging
GL_ARB_map_buffer_range GL_ARB_multisample

GL_ARB_multitexture GL_ARB_occlusion_query
GL_ARB_pixel_buffer_object GL_ARB_point_parameters
GL_ARB_point_sprite GL_ARB_shadow

GL_ARB_shader_objects GL_ARB_shading_language_100
GL_ARB_texture_border_clamp GL_ARB_texture_compression
GL_ARB_texture_cube_map GL_ARB_texture_env_add
GL_ARB_texture_env_combine GL_ARB_texture_env_dot3
GL_ARB_texture_float GL_ARB_texture_mirrored_repeat
GL_ARB_texture_non_power_of_tw GL_ARB_texture_rectangle
GL_ARB_transpose_matrix GL_ARB_vertex_array_object
GL_ARB_vertex_buffer_object GL_ARB_vertex_program
GL_ARB_vertex_shader GL_ARB_window_pos
GL_ATI_draw_buffers GL_ATI_texture_float

GL_ATI texture_mirror once GL_S3_s3tc

GL_EXT texture_env_add GL_EXT_abgr

GL_EXT_bgra GL_EXT_blend_color
GL_EXT_blend_equation_separate GL_EXT_blend_func_separate
GL_EXT _blend_minmax GL_EXT _blend_subtract
GL_EXT_compiled_vertex_array GL_EXT_Cg_shader
GL_EXT_depth_bounds_test GL_EXT direct_state_access
GL_EXT_draw_range_elements GL_EXT_fog_coord
GL_EXT_framebuffer_blit GL_EXT_framebuffer_multisample
GL_EXT_framebuffer_object = GL_EXT_gpu_program_parameters
GL_EXT_multi_draw_arrays GL_EXT_packed_depth_stencil

GL_EXT_packed_pixels GL_EXT_pixel_buffer_object
GL_EXT_point_parameters GL_EXT rescale_normal
GL_EXT_secondary_color GL_EXT_separate_specular_color
GL_EXT _shadow_funcs GL_EXT _stencil_two_side
GL_EXT_stencil_wrap GL_EXT _texture3D

GL_EXT_texture_compression_s3t GL_EXT_texture_cube_map
GL_EXT _texture_edge_clamp  GL_EXT_texture_env_combine
GL_EXT_texture_env_dot3 GL_EXT_texture_filter_anisotro

GL_EXT texture_lod GL_EXT _texture_lod_bias
GL_EXT_texture_mirror_clamp GL_EXT_texture_object
GL_EXT _texture_ sRGB GL_EXT texture_swizzle
GL_EXT_timer_query GL_EXT_vertex_array

GL_EXT_vertex_array_bgra GL_IBM_rasterpos_clip
GL_IBM_texture_mirrored_repeat GL_KTX_buffer_region

GL_NV_blend_square GL_NV_copy_depth_to_color
GL_NV_depth_clamp GL_NV_fence
GL_NV_float_buffer GL_NV_fog_distance

GL_NV_fragment_program GL_NV_fragment_program_option
GL_NV_fragment_program2 GL_NV_framebuffer_multisample_
GL_NV_half float GL_NV_light_max_exponent
GL_NV_multisample_filter_hint GL_NV_occlusion_query
GL_NV_packed_depth_stencil GL_NV_pixel_data_range
GL_NV_point_sprite GL_NV_primitive_restart
GL_NV_register_combiners GL_NV_register_combiners2
GL_NV_texgen_reflection GL_NV_texture_compression_vtc
GL_NV_texture_env_combine4 GL_NV_texture_expand_normal
GL_NV_texture_rectangle GL_NV_texture_shader
GL_NV_texture_shader2 GL_NV_texture_shader3
GL_NV_vertex_array_range GL_NV_vertex_array_range2
GL_NV_vertex_program GL_NV_vertex_program1_1
GL_NV_vertex_program?2 GL_NV_vertex_program2_option
GL_NV_vertex_program3 GL_NVX_conditional_render
GL_SGIS_generate_mipmap GL_SGIS_texture_lod
GL_SGIX_depth_texture GL_SGIX_shadow
GL_SUN_slice_accum GL_WIN_swap_hint
WGL_EXT_swap_control

Extensions (WGL):

WGL_ARB_buffer_region WGL_ARB_extensions_string
WGL_ARB_make_current_read = WGL_ARB_multisample
WGL_ARB_pbuffer WGL_ARB_pixel_format
WGL_ARB_pixel_format_float WGL_ARB_render_texture
WGL_ATI_pixel_format_float WGL_EXT_extensions_string

WGL_EXT_swap_control WGL_NV _float_buffer
WGL_NV_render_depth_texture WGL_NV_render_texture_rectang|
DGL Configuration:

NPOT Textures: Disabled

Texture Compression: Enabled

Variable Texture Anisotropy: Enabled

Utilized Texture Units: 2

Multisampling: Enabled (32)

GL_Init: Initializing Doomsday Graphics Library.
Multitexturing enabled (full).

Sys_Init: Setting up machine state.

Sys_Init: Initializing keyboard, mouse and joystick.
Sys_InitTimer.

Sys_InitMixer: NVIDIA nForce(TM) Audio

Driver: DirectSound

DS_Init(DirectSound): EAX couldn't be initialized. [Result = 0x80004005]
DSP: None

Sfx_Init: Initializing...

Sfx_InitChannels: 32 channels.
S_Init: OK.

Parsing configuration files.
W_Init: Init WADfiles.

W_AddFile:
W_AddFile:
W_AddFile:

data\doomsday.pk3
data\[doom\jdoom.pk3
P:\Doomsday\doom2\DOOM2.WAD

IWAD identification: 00ee509a

W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:

data\[doom\auto\.basedata\fonta033.Imp
data\[doom\auto\.basedata\fonta034.Imp
data\jdoom\auto\.basedata\fonta035.Imp
data\jdoom\auto\.basedata\fonta036.Imp
data\[doom\auto\.basedata\fonta037.Imp
data\jdoom\auto\.basedata\fonta038.Imp
data\jdoom\auto\.basedata\fonta039.Imp
data\[doom\auto\.basedata\fonta040.Imp
data\[doom\auto\.basedata\fonta041.Imp
data\[doom\auto\.basedata\fonta042.Imp
data\jdoom\auto\.basedata\fonta043.Imp
data\jdoom\auto\.basedata\fonta044.Imp
data\[doom\auto\.basedata\fonta045.Imp
data\jdoom\auto\.basedata\fonta046.Imp
data\jdoom\auto\.basedata\fonta047.Imp
data\[doom\auto\.basedata\fonta048.Imp
data\[doom\auto\.basedata\fonta049.Imp
data\[doom\auto\.basedata\fonta050.Imp
data\jdoom\auto\.basedata\fonta051.Imp
data\jdoom\auto\.basedata\fonta052.Imp
data\[doom\auto\.basedata\fonta053.Imp
data\jdoom\auto\.basedata\fonta054.Imp
data\jdoom\auto\.basedata\fonta055.Imp
data\[doom\auto\.basedata\fonta056.Imp
data\[doom\auto\.basedata\fonta057.Imp
data\[doom\auto\.basedata\fonta058.Imp
data\jdoom\auto\.basedata\fonta059.Imp
data\jdoom\auto\.basedata\fonta060.Imp
data\[doom\auto\.basedata\fonta061.Imp
data\jdoom\auto\.basedata\fonta062.Imp
data\jdoom\auto\.basedata\fonta063.Imp
data\[doom\auto\.basedata\fonta064.Imp
data\[doom\auto\.basedata\fonta065.Imp
data\[doom\auto\.basedata\fonta066.Imp
data\jdoom\auto\.basedata\fonta067.Imp
data\jdoom\auto\.basedata\fonta068.Imp
data\[doom\auto\.basedata\fonta069.Imp
data\jdoom\auto\.basedata\fonta070.Imp
data\jdoom\auto\.basedata\fonta071.Imp
data\[doom\auto\.basedata\fonta072.Imp
data\[doom\auto\.basedata\fonta073.Imp
data\[doom\auto\.basedata\fonta074.Imp
data\jdoom\auto\.basedata\fonta075.Imp
data\jdoom\auto\.basedata\fonta076.Imp
data\[doom\auto\.basedata\fonta077.Imp
data\jdoom\auto\.basedata\fonta078.Imp
data\jdoom\auto\.basedata\fonta079.Imp
data\[doom\auto\.basedata\fonta080.Imp
data\[doom\auto\.basedata\fonta081.Imp
data\[doom\auto\.basedata\fonta082.Imp
data\jdoom\auto\.basedata\fonta083.Imp
data\jdoom\auto\.basedata\fonta084.Imp
data\[doom\auto\.basedata\fonta085.Imp
data\jdoom\auto\.basedata\fonta086.Imp
data\jdoom\auto\.basedata\fonta087.Imp
data\[doom\auto\.basedata\fonta088.Imp
data\[doom\auto\.basedata\fonta089.Imp
data\[doom\auto\.basedata\fonta090.Imp
data\jdoom\auto\.basedata\fonta091.Imp
data\jdoom\auto\.basedata\fonta092.Imp
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:
W_AddFile:

data\[doom\auto\.basedata\fonta093.Imp
data\jdoom\auto\.basedata\fonta094.Imp
data\jdoom\auto\.basedata\fonta095.Imp
data\[doom\auto\.basedata\fonta121.Imp
data\jdoom\auto\.basedata\fontb033.Imp
data\jdoom\auto\.basedata\fontb034.Imp
data\[doom\auto\.basedata\fontb035.Imp
data\[doom\auto\.basedata\fontb036.Imp
data\[doom\auto\.basedata\fontb037.Imp
data\jdoom\auto\.basedata\fontb038.Imp
data\jdoom\auto\.basedata\fontb039.Imp
data\[doom\auto\.basedata\fontb040.Imp
data\jdoom\auto\.basedata\fontb041.Imp
data\jdoom\auto\.basedata\fontb042.Imp
data\[doom\auto\.basedata\fontb043.Imp
data\[doom\auto\.basedata\fontb044.Imp
data\[doom\auto\.basedata\fontb045.Imp
data\jdoom\auto\.basedata\fontb046.Imp
data\jdoom\auto\.basedata\fontb047.Imp
data\[doom\auto\.basedata\fontb048.Imp
data\jdoom\auto\.basedata\fontb049.Imp
data\jdoom\auto\.basedata\fontb050.Imp
data\[doom\auto\.basedata\fontb051.Imp
data\[doom\auto\.basedata\fontb052.Imp
data\[doom\auto\.basedata\fontb053.Imp
data\jdoom\auto\.basedata\fontb054.Imp
data\jdoom\auto\.basedata\fontb055.Imp
data\[doom\auto\.basedata\fontb056.Imp
data\jdoom\auto\.basedata\fontb057.Imp
data\jdoom\auto\.basedata\fontb058.Imp
data\[doom\auto\.basedata\fontb059.Imp
data\[doom\auto\.basedata\fontb060.Imp
data\[doom\auto\.basedata\fontb061.Imp
data\jdoom\auto\.basedata\fontb062.Imp
data\jdoom\auto\.basedata\fontb063.Imp
data\[doom\auto\.basedata\fontb064.Imp
data\jdoom\auto\.basedata\fontb065.Imp
data\jdoom\auto\.basedata\fontb066.Imp
data\[doom\auto\.basedata\fontb067.Imp
data\[doom\auto\.basedata\fontb068.Imp
data\[doom\auto\.basedata\fontb069.Imp
data\jdoom\auto\.basedata\fontb070.Imp
data\jdoom\auto\.basedata\fontb071.Imp
data\[doom\auto\.basedata\fontb072.Imp
data\jdoom\auto\.basedata\fontb073.Imp
data\jdoom\auto\.basedata\fontb074.Imp
data\[doom\auto\.basedata\fontb075.Imp
data\[doom\auto\.basedata\fontb076.Imp
data\[doom\auto\.basedata\fontb077.Imp
data\jdoom\auto\.basedata\fontb078.Imp
data\jdoom\auto\.basedata\fontb079.Imp
data\[doom\auto\.basedata\fontb080.Imp
data\jdoom\auto\.basedata\fontb081.Imp
data\jdoom\auto\.basedata\fontb082.Imp
data\[doom\auto\.basedata\fontb083.Imp
data\[doom\auto\.basedata\fontb084.Imp
data\[doom\auto\.basedata\fontb085.Imp
data\jdoom\auto\.basedata\fontb086.Imp
data\jdoom\auto\.basedata\fontb087.Imp
data\[doom\auto\.basedata\fontb088.Imp
data\jdoom\auto\.basedata\fontb089.Imp
data\jdoom\auto\.basedata\fontb090.Imp
data\[doom\auto\.basedata\m_therm2.Imp
data\[doom\auto\.basedata\mapmask.Imp
data\[doom\auto\.basedata\menufog.Imp
data\jdoom\auto\.basedata\pal18to8.Imp
data\jdoom\auto\.basedata\sndcurve.Imp
IdentifyVersion: DOOM version unknown.
e Important data might be missing! **

Reading definition file: defs\doomsday.ded
Reading definition file: defs\Jdoom\jdoom.ded
Definitions:

138 sprite names
974 states

140 things

8 lights

112 sound effects
33 songs

365 text strings

27 particle generators
18 animation groups
49 surface decorations
23 surface materials
10 map infos

1 skies

6 finales

B_lInit: Init bindings.
Binding 2 created.
Binding 4 created.
Binding 6 created.
Binding 8 created.
Binding 9 created.
Binding 10 created.
Binding 11 created.
Binding 13 created.
Binding 14 created.
Binding 15 created.
Binding 16 created.
Binding 18 created.
Binding 19 created.
Binding 20 created.
Binding 21 created.
Binding 22 created.
Binding 23 created.
Binding 25 created.
Binding 26 created.
Binding 28 created.
Binding 29 created.
Binding 30 created.
Binding 31 created.
Binding 32 created.
Binding 33 created.
Binding 34 created.
Binding 35 created.
Binding 36 created.
Binding 37 created.
Binding 38 created.
Binding 39 created.
Binding 40 created.
Binding 41 created.
Binding 42 created.
Binding 43 created.
Binding 44 created.
Binding 45 created.
Binding 46 created.
Binding 47 created.
Binding 48 created.
Binding 49 created.
Binding 50 created.
Binding 51 created.
Binding 52 created.
Binding 53 created.
Binding 54 created.
Binding 55 created.
Binding 56 created.
Binding 57 created.
Binding 58 created.
Binding 59 created.
Binding 60 created.
Binding 61 created.
Binding 62 created.
Binding 63 created.
Binding 64 created.
Binding 65 created.
Binding 66 created.
Binding 67 created.
Binding 68 created.
Binding 69 created.
Binding 70 created.
Binding 71 created.
Binding 73 created.
Binding 74 created.
Binding 75 created.
Binding 76 created.
Binding 77 created.
Binding 79 created.
Binding 80 created.
Binding 81 created.
Binding 82 created.
Binding 84 created.
Binding 85 created.
Binding 86 created.
Binding 87 created.
Binding 88 created.
Binding 89 created.
Binding 90 created.
Binding 91 created.
Binding 92 created.
Binding 93 created.
Binding 94 created.
Binding 95 created.
Binding 96 created.
Binding 97 created.
Binding 98 created.
Binding 99 created.

Binding 100 created.
Binding 101 created.
Binding 102 created.
Binding 103 created.
Binding 104 created.
Binding 105 created.
Binding 106 created.
Binding 107 created.
Binding 108 created.
Binding 109 created.
Binding 110 created.
Binding 111 created.
Binding 112 created.
Binding 113 created.
Binding 114 created.
Binding 115 created.
Binding 116 created.
Binding 117 created.
Binding 118 created.
Binding 119 created.
Binding 120 created.
Binding 121 created.
Binding 122 created.
Binding 123 created.
Binding 124 created.

Binding 125 created.

Binding 126 created.

Binding 127 created.

Binding 128 created.

Binding 129 created.

Binding 130 created.

Binding 131 created.

Binding 132 created.

Binding 133 created.

Binding 134 created.

R_Init: Init the refresh daemon.
R_InitSprites: No patches found for VILE frame A.

Labels: Doom

Related issues:
Related to Feature #1458: Handling obsolete IWADs Closed 2007-10-06

History

#1 - 2009-03-21 15:40 - danij

Doomsday is reporting that it cannot identify the version of the IWAD you are using.

Please try copying the WAD file again and see if that resolves the problem.

#2 - 2009-03-23 12:57 - yamakuzure

No, it did not make any change. | will try the original installer from the cd and then configure doomsday to use that directory. Maybe something else is
missing?
#3 - 2009-03-25 15:41 - yamakuzure

Nope, no difference.

This is a CD Version of Doomll from 1994. sigh Maybe that is the problem?

#4 - 2009-03-25 15:50 - skyjake

| think the problem may simply be that the IWAD in question is too old for our fancy detection algorithm. If DaniJ or | can get a hold of that version of
the IWAD, it should be a simple enough matter to set up the detection to handle it, too. (Barring that the IWAD is missing some critical data, of
course.)

Fortunately the algorithm can be overridden. Yamakuzure, try starting the game with the "-doom2" command line option. That will force it to start in
Doom 2 mode.

Could you also please start the game with the "-dumpwaddir" option and attach the resulting output from doomsday.out to this bug report. The wad
directory will be helpful for determining which lumps should be used for making the detection.

#5 - 2009-03-30 12:02 - yamakuzure

Yes and no.

The DOOM2.WAD comes from a CD published by GT Interactive (Exclusively for germany).

It does not copy the whole wad to the hard drive when installing, but a small 1.4 MB wad. | guess doom used this wad to read the paths to the
doom2.wad on the cd, which then doesn't need an own header. (Or something like that making an identification impossible)

| got a regular doom2.wad from a friend who had a non-german version lying around, which works.

...only thing is that | can't get any music, no matter what I try, and "Master Levels" crash on Map 2 with a segmentation fault. But thats not related to
this bug. ;)

#6 - 2009-03-30 19:42 - danij
Thanks for the information. We'll need to try and get hold of this version so that we can determine how best to support it. I'm rather puzzled about the

missing Archvile patch.

#7 - 2012-03-02 13:24 - skyjake

Does the ringzero resource validity checks address this at all?
#8 - 2012-03-02 18:53 - danij

No, the logic is the same as are the lists of lumps used to validate the IWADs. We still need a copy of this IWAD to determine which lumps we can
use to include it in the validation.

#9 - 2012-08-27 20:26 - danij
- labels: jDoom --> Doom

- Description has changed:
Diff:

---old

++ New

@-57+57@

AMD AthlonXP 2700, 2048MB Ram, nVidia GeForce 7600GS 8xAGP, Windows XP Professional.

The output is:

Z Create: New 32.0 MB memory volume.

Con_Init: Initializing the console.

Executable: Version 1.9.0-beta6 Feb 25 2009 (DGL).
@ -396,3 +396,4 @

Binding 134 created.

R_Tnit: Init the refresh daemon.

R _InitSprites: No patches found for VILE frame A.

- Description has changed:
Diff:

---old

++ new

@-56+57@

AMD AthlonXP 2700, 2048MB Ram, nVidia GeForce 7600GS 8xAGP, Windows XP Professional.

The output is:
L

Z_Create: New 32.0 MB memory volume.
Con_Init: Initializing the console.

#10 - 2013-10-22 18:47 - skyjake

- Subject changed from [Unknown IWAD] Fatal Error "R_InitSprites: No patches found" to Fatal error "R_InitSprites: No patches found" (unknown
IWAD)

- Category set to Defect
- Status changed from New to Rejected

- Target version deleted (1.9.0-beta6)

Closing this; the matter should be dealt with in feature #1458.
